Frontend
Login a donor and process their donation
POST
/
frontend
/
checkout
/
login
/
{client_id}
/
{program_id}
/
{session_id}
Login a donor and process their donation
curl --request POST \
--url https://api.helpyousponsor.com/v1/frontend/checkout/login/{client_id}/{program_id}/{session_id} \
--header 'Content-Type: application/json' \
--data '
{
"login_username": "donor123",
"login_password": "password123",
"method_login": "3",
"rememberMe": "false"
}
'import requests
url = "https://api.helpyousponsor.com/v1/frontend/checkout/login/{client_id}/{program_id}/{session_id}"
payload = {
"login_username": "donor123",
"login_password": "password123",
"method_login": "3",
"rememberMe": "false"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
login_username: 'donor123',
login_password: 'password123',
method_login: '3',
rememberMe: 'false'
})
};
fetch('https://api.helpyousponsor.com/v1/frontend/checkout/login/{client_id}/{program_id}/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Success: Donation Added",
"username": "donor123",
"email": "donor123@example.com",
"redirect": "/frontend/donor_view/1/1/1",
"session_id": 1
}{
"status": "error",
"message": "Error: Donor Not Found",
"session_id": 1
}Path Parameters
The ID of the client
The ID of the program
The ID of the session
Body
application/json
Data needed to login a donor and process their donation
Previous
Post Forgot UsernameHandles the process for users who have forgotten their username
* by verifying the email and sending the username to the user.
Next
⌘I
Login a donor and process their donation

